> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Download change data

> Download data for a segment change



## OpenAPI

````yaml https://api.getcargo.io/openapi.json post /segmentation/changes/{uuid}/download
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /segmentation/changes/{uuid}/download:
    post:
      tags:
        - Segmentation - Changes
      summary: Download change data
      description: Download data for a segment change
      parameters:
        - in: path
          name: uuid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
            title: UUID
            description: Change identifier.
          required: true
          description: Change identifier.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                kinds:
                  type: array
                  items:
                    type: string
                    enum:
                      - added
                      - updated
                      - removed
                  title: Kinds
                  description: Change kinds to include.
              required:
                - kinds
              additionalProperties: false
              title: Request body
              description: Request body schema.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  urls:
                    type: array
                    items:
                      type: string
                    title: URLs
                    description: Download URLs for change records.
                required:
                  - urls
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````